
TYPO3.Flow - Bug # 2765

Status: Resolved Priority: Must have
Author: Bastian Waidelich Category: MVC
Created: 2009-03-05 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: request path is not correctly determined  when FLOW3 isn't installed in webroot
Description

When FLOW3 is not installed in the htdocs root, it does not correctly determine the request path of the URI.
Example:
http://localhost/flow3/Public/
Instead of displaying the default view, FLOW3 tries to find the "Public"-Controller in the "flow3"-Package and throws a 404.

A temporary solution is to create a virtual host, so you can access FLOW3's root via
http://flow3/ (or the like)

Associated revisions
Revision 1de20d2f - 2009-03-05 18:20 - Karsten Dambekalns
FLOW3:
    -  another slight change to URI rewriting, fixes #2765

Revision ab8a03b0 - 2009-03-05 18:20 - Karsten Dambekalns
FLOW3:
    -  another slight change to URI rewriting, fixes #2765

Revision 4453d68e - 2009-03-05 18:20 - Karsten Dambekalns
FLOW3:
    -  another slight change to URI rewriting, fixes #2765

History
#1 - 2009-03-05 16:31 - Karsten Dambekalns
- Status changed from New to Accepted
- Priority changed from Should have to Must have

Broken as of r1967 me thinks...

#2 - 2009-03-05 19:01 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100
http://localhost/flow3/Public/
http://flow3/


Applied in changeset r1975.
